import es
import time
from es import server_var

def load():
    es.setinfo('dc_overridehour','-1')
    es.setinfo('dc_allowsky','1')
    es.setinfo('dc_allowlight','1')
    es.setinfo('dc_allowfog','1')
    es.setinfo('dc_sky0','sky_borealis01')
    es.setinfo('dc_sky1','sky_borealis01')
    es.setinfo('dc_sky2','hav')
    es.setinfo('dc_sky3','office')
    es.setinfo('dc_sky4','sky_wasteland02')
    es.setinfo('dc_sky5','assault')
    es.setinfo('dc_sky6','sky_dust')
    es.setinfo('dc_fogcolor','0 0 0')
    es.setinfo('dc_fogstart','250')
    es.setinfo('dc_fogendmult','2')
    es.setinfo('dc_fogincrement','100')
    es.mexec('../addons/eventscripts/daycycle/cyclecfg.cfg')
    es.ServerCommand('es_doblock daycycle/load2')

def load2():
    global Hour,skyname,allowsky,allowlight,allowfog,fogcolor,fogstart,fogendmult,fogincrement,overridehour
    Hour = 0
    skyname = ([server_var['dc_sky0'], server_var['dc_sky1'], server_var['dc_sky2'],server_var['dc_sky3'], server_var['dc_sky4'], server_var['dc_sky5'], server_var['dc_sky6']])
    overridehour = server_var['dc_overridehour']
    allowsky = server_var['dc_allowsky']
    allowlight = server_var['dc_allowlight']
    allowfog = server_var['dc_allowfog']
    fogcolor = server_var['dc_fogcolor']
    fogstart = server_var['dc_fogstart']
    fogendmult = server_var['dc_fogendmult']
    fogincrement = server_var['dc_fogincrement']

def es_map_start(event_var):
    global Hour
    Hour = int(time.strftime('%H'))
    if (Hour > 12):
        Hour = 24 - Hour
    if (overridehour > -1):
        if (overridehour < 25):
            Hour = int(overridehour)
    Hour = Hour / 2
    if (allowlight == '1'):
        lightstyle = str(chr(Hour+98))
        es.lightstyle(0,lightstyle)
    if (allowsky == '1'):
        es.server.cmd('sv_skyname ' + skyname[Hour])

def player_spawn(event_var):
    if (allowfog == '1'):
        RUserid = event_var['userid']
        IntVar = (Hour * int(fogincrement)) + int(fogstart)
        es.give(RUserid,'env_fog_controller')
        es.server.cmd("es_fire " + str(RUserid) + " env_fog_controller addoutput " + chr(34) + "fogcolor " + fogcolor + chr(34))
        es.server.cmd("es_fire " + str(RUserid) + " env_fog_controller addoutput " + chr(34) + "fogstart " + str(IntVar) + chr(34))
        es.server.cmd("es_fire " + str(RUserid) + " env_fog_controller addoutput " + chr(34) + "fogend " + str(IntVar*int(fogendmult)) + chr(34))